org.eclipse.jface.action

## Interface IMenuListener

All Known Subinterfaces:
  IMenuListener2

All Known Implementing Classes:
  AbstractRulerActionDelegate, BookmarkRulerAction, RulerBreakpointTypesActionDelegate, RulerEnableDisableBreakpointActionDelegate, RulerRunToLineActionDelegate, RulerToggleBreakpointActionDelegate, SelectRulerAction, TaskRulerAction

    public interface IMenuListener

A menu listener that gets informed when a menu is about to show.

See Also:
  `MenuManager.addMenuListener(org.eclipse.jface.action.IMenuListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `menuAboutToShow(IMenuManager manager)` Notifies this listener that the menu is about to be shown by the given menu manager.

### Method Detail

#### menuAboutToShow

    void menuAboutToShow(IMenuManager manager)

Notifies this listener that the menu is about to be shown by the given menu manager.

Parameters:
  `manager` - the menu manager